%define _localstatedir %{_var}

Name:           prelude-lml
Version:        0.9.8.1
Release:        %mkrel 1
Summary:        Prelude Hybrid Intrusion Detection System - Log Analyzer Sensor
License:        GPL
Group:          Networking/Other
URL:            http://www.prelude-ids.org/
Source0:        http://www.prelude-ids.org/download/releases/%{name}-%{version}.tar.gz
Source1:        http://www.prelude-ids.org/download/releases/%{name}-%{version}.tar.gz.sig
Source2:        prelude-lml.init
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:  automake1.8
BuildRequires:  autoconf2.5
BuildRequires:  libprelude-devel => 0.9.3
BuildRequires:  libpcre-devel
BuildRequires:  libfam-devel
BuildRequires:  libgnutls-devel
Provides:       prelude-nids
Obsoletes:      prelude-nids
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part
of the Prelude Hybrid IDS suite. It can act as a centralized log collector for
local or remote systems, or as a simple log analyzer (such as swatch). It can
run as a network server listening on a syslog port or analyze log files. It
supports logfiles in the BSD syslog format and is able to analyze any logfile
by using the PCRE library. It can apply logfile-specific analysis through
plugins such as PAX. It can send an alert to the Prelude Manager when a
suspicious log entry is detected. 

%package        devel
Summary:        Libraries, includes, etc. to develop Prelude Log Analyzer Sensor
Group:          Development/C
Requires:       %{name} = %{version}

%description    devel
The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part
of the Prelude Hybrid IDS suite. It can act as a centralized log collector for
local or remote systems, or as a simple log analyzer (such as swatch). It can
run as a network server listening on a syslog port or analyze log files. It
supports logfiles in the BSD syslog format and is able to analyze any logfile
by using the PCRE library. It can apply logfile-specific analysis through
plugins such as PAX. It can send an alert to the Prelude Manager when a
suspicious log entry is detected. 
The devel headers.

%prep
%setup -q
%{__perl} -pi -e 's|/var/log/apache2|%{_logdir}/httpd|g' prelude-lml.conf.in

%build
%{__rm} -f configure
%{_bindir}/libtoolize --copy --force; aclocal-1.8 -I m4 -I libmissing/m4; automake-1.8 --add-missing --copy --foreign; autoconf

%{configure2_5x} \
    --enable-shared \
    --enable-static \
    --enable-unsupported-rulesets \
    --enable-fam \
    --with-libprelude-prefix=%{_prefix} \
    --with-fam=%{_prefix}                                            
%{make}

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_localstatedir}/%{name}

%{makeinstall_std}

%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}

%{__mkdir_p} %{buildroot}%{_initrddir}
%{__cp} -a %{SOURCE2} %{buildroot}%{_initrddir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING.README NEWS README
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/ruleset
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}/*.rules
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}/*.conf
%config(noreplace) %{_sysconfdir}/%{name}/ruleset/*.rules
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%dir %{_localstatedir}/lib/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING.README NEWS README
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/%{name}/*.a
%{_libdir}/%{name}/*.la


%changelog
* Thu Dec 21 2006 David Walluck <walluck@mandriva.org> 0.9.8.1-1mdv2007.0
+ Revision: 100906
- 0.9.8.1

* Sat Dec 16 2006 David Walluck <walluck@mandriva.org> 0.9.8-1mdv2007.1
+ Revision: 98032
- 0.9.8

* Fri Nov 03 2006 David Walluck <walluck@mandriva.org> 0.9.7-7mdv2007.1
+ Revision: 76066
- fix directory

* Thu Nov 02 2006 David Walluck <walluck@mandriva.org> 0.9.7-6mdv2007.1
+ Revision: 75993
- fix lib path on x86-64

* Wed Nov 01 2006 David Walluck <walluck@mandriva.org> 0.9.7-5mdv2007.1
+ Revision: 74970
- fix _localstatedir

* Wed Nov 01 2006 David Walluck <walluck@mandriva.org> 0.9.7-4mdv2007.1
+ Revision: 74961
- call chkconfig
- add initscript

* Wed Oct 18 2006 David Walluck <walluck@mandriva.org> 0.9.7-2mdv2007.0
+ Revision: 71046
- fix build
- remove onceonly patch (fixed upstream)
- 0.9.7
- Import prelude-lml



* Thu Jul 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-1mdv2007.0
- 0.9.6
- added P1 (missing m4 macros)

* Thu Jun 29 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdv2007.0
- rebuilt against gnutls-1.4.0
- fix deps

* Wed May 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.5-1mdk
- 0.9.5

* Mon Mar 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.4-1mdk
- 0.9.4

* Wed Feb 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-1mdk
- 0.9.3 (Major bugfixes)

* Wed Feb 01 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-2mdk
- iurt fixes

* Tue Jan 31 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdk
- 0.9.2 (Major feature enhancements)

* Tue Jan 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdk
- 0.9.1

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-4mdk
- rebuilt against openssl-0.9.8a

* Tue Jan 25 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.8.6-3mdk
- rebuilt against MySQL-4.1.x and PostgreSQL-8.x system libs
- fix conflicting declaration with MySQL-4.1.x
- fix deps

* Tue Jun 29 2004 Michael Scherer <misc@mandrake.org> 0.8.6-2mdk
- rebuild for new gcc
- [DIRM]
 
* Sat May 22 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.8.6-1mdk
- 0.8.6
- use %%configure macro
- wipe out $RPM_BUILD_ROOT before installing

* Tue Sep 09 2003 Florin Grad <florin@mandrakesoft.com> 0.8.1-1mdk
- first mandrake release

* Wed Sep 03 2002 Sylvain GIL <prelude-packaging@tootella.org> 0.8.1-1
-  Initial Packaging.
